Skip to main content
Update Business
PUT https://services.leadconnectorhq.com/businesses/{businessId}

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Path parameters

businessId
string
default:"5DP4iH6HLkQsiKESj6rh"
required

Body

name
string
default:"Microsoft"
phone
string
default:"+18832327657"
email
string
default:"john@deo.com"
postalCode
string
default:"12312312"
website
string
default:"www.xyz.com"
address
string
default:"street adress"
state
string
default:"new york"
city
string
default:"new york"
country
string
default:"us"
description
string
default:"business description"

Respuestas

success
boolean
default:"True"
required
Success Value
buiseness
object
required
Business Response
{
  "success": true
}
{}
{}
{}

Ejemplo

curl -X PUT 'https://services.leadconnectorhq.com/businesses/YOUR_businessId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "Microsoft",
  "phone": "+18832327657",
  "email": "john@deo.com",
  "postalCode": "12312312",
  "website": "www.xyz.com",
  "address": "street adress",
  "state": "new york",
  "city": "new york",
  "country": "us",
  "description": "business description"
}'
const response = await fetch('https://services.leadconnectorhq.com/businesses/YOUR_businessId', {
  method: 'PUT',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"name": "Microsoft", "phone": "+18832327657", "email": "john@deo.com", "postalCode": "12312312", "website": "www.xyz.com", "address": "street adress", "state": "new york", "city": "new york", "country": "us", "description": "business description"}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'PUT',
    'https://services.leadconnectorhq.com/businesses/YOUR_businessId',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"name": "Microsoft", "phone": "+18832327657", "email": "john@deo.com", "postalCode": "12312312", "website": "www.xyz.com", "address": "street adress", "state": "new york", "city": "new york", "country": "us", "description": "business description"},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/businesses/YOUR_businessId');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'PUT',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'name': 'Microsoft', 'phone': '+18832327657', 'email': 'john@deo.com', 'postalCode': '12312312', 'website': 'www.xyz.com', 'address': 'street adress', 'state': 'new york', 'city': 'new york', 'country': 'us', 'description': 'business description'}),
]);
$data = json_decode(curl_exec($ch), true);